Title 'ANZ09a.sas   2002-1-15   Y.Takahahsi ' ;

data  d01 ;
    input  i dose n y  ;
	log_dose=log10(dose) ;
datalines ;
1 101 10  0  
2 136 10  2  
3 183 10  5  
4 247 10  8  
5 333 10  9  
6 450 10 10  
7 200  .  .
8 300  .  . 

;
proc probit  data=d01 log10  inversecl ;
    model y/n = dose / dist=logistic itprint covb ;
	output out=out01  p=p std=std xbeta=xbeta  ;
	run ;
proc print data=out01 ;
run ;

proc probit  data=d01 log10  inversecl ;
    model y/n = dose / dist=normal itprint covb ;
	output out=out01  p=p std=std xbeta=xbeta ;
	run ;
proc print data=out01 ;
run ;

proc genmod data=d01 ;
   model y/n = log_dose / dist = bin 
                      link = logit 
                      lrci  covb ; 
   output out=out01  pred=predicted  Lower=L95  upper=U95 xbeta=xbeta stdxbeta=stdxbeta  ;
   run; 
proc print data=out01 ;
run ;

proc genmod data=d01 ;
   model y/n = log_dose / dist = bin 
                      link = probit 
                      lrci  covb ; 
   output out=out01  pred=predicted  Lower=L95  upper=U95 xbeta=xbeta stdxbeta=stdxbeta  ;
   run; 
proc print data=out01 ;
run ;